/*--------------------------------------------------------------------------*/
/* RACINES.H :---------- CALCUL DES RACINES D'UN POLYNOME ------------------*/
/*          Rangement des coefficients degre en ordre croissant.            */
/*--------------------------------------------------------------------------*/
#ifndef RACINES_H
#define RACINES_H

/*--------------------------------------------------------------------------*/
/*  CALCUL DE TOUTES LES RACINES D'UN POLYNOME DE DEGRE 2, 3, 4 ou M        */
/*--------------------------------------------------------------------------*/
int roots_hqr    (double *pr, double *pi, double *c, int M) ; /*Val.p HQR   */
int roots_balhqr (double *pr, double *pi, double *c, int M) ; /*idem + bal. */
/*--------------------------------------------------------------------------*/
/* Entrees :

	int M		: Ordre du polynome
	double *c	: Coefs ordre degre croissant

   Sorties :

    double *pr, *pi : Racines  (parties reelles et imaginaires)

  Retour : 
	nombre de racines valides
	-1 si echec allocation
----------------------------------------------------------------------------*/
#endif /* de la portee definie par RACINES_H */
